#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include "uart.h"
#include "dcf77d.h"

#define F_CPU 16000000UL  // Clock speed = 16MHz
#define XTAL 16000000

#define UART_BAUD 19200

int main (void)
{

    //char buffer[10];


    /* initialize UART */
    uart_init( UART_BAUD_SELECT(UART_BAUD,F_CPU) );

    sei();

	uart_puts_P("\n\rDCF77 Clock 1v1 by Mario Roessler\n\r");

	//Start the DCF77 clock
	dcf77_init();

    // Loop
	while (1)
	{
       dcf77_demodulate();
	   dcf77_decode();
	   clock();
    }
return (1);

}
